Skip to main content
GET
Advanced pool filtering on a specific network.

Path Parameters

network
string
required

Network slug or ID (e.g., 'solana'). You can find the list of supported networks with their IDs here: /networks.

Query Parameters

limit
integer
default:10

Number of items to return per page (max 100).

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination.

volume_usd_24h_min
number
volume_usd_24h_max
number
volume_usd_7d_min
number
volume_usd_7d_max
number
volume_usd_30d_min
number
volume_usd_30d_max
number
liquidity_usd_min
number
liquidity_usd_max
number
txns_24h_min
integer
txns_24h_max
integer
created_after
integer
created_before
integer
price_usd_min
number
price_usd_max
number
price_change_percentage_24h_min
number

Filter pools with a 24h price change percentage greater than or equal to this value.

price_change_percentage_24h_max
number

Filter pools with a 24h price change percentage less than or equal to this value.

dex_name
string
token_address
string

Restrict results to pools that contain this token address on the given network.

order_by
enum<string>
Available options:
volume_usd_24h,
volume_usd_7d,
volume_usd_30d,
liquidity_usd,
txns_24h,
created_at,
price_usd,
price_change_percentage_24h
sort
enum<string>
Available options:
asc,
desc
detailed
boolean
default:false

If true, the response will include enriched data.

Response

successful operation

results
object[]
has_next_page
boolean
next_cursor
string
query
object